diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.test_form.inc b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.test_form.inc
index 29a0b0dc..b7be34ef 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.test_form.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.test_form.inc
@@ -23,111 +23,112 @@ module_load_include('inc', 'ldap_servers', 'ldap_servers.functions');
  * @return
  *   The form structure.
  */
-
 function ldap_servers_test_form($form, &$form_state, $op = NULL, $sid = NULL) {
 
   $ldap_server = ldap_servers_get_servers($sid, 'all', TRUE);
 
-  drupal_set_title(t('Test LDAP Server Configuration: !server', array('!server' => $ldap_server->name)));
+  drupal_set_title(t('Test LDAP Server Configuration: !server', ['!server' => $ldap_server->name]));
 
   $form['#prefix'] = t('This form tests an LDAP configuration to see if
     it can bind and basic user and group functions.  It also shows token examples
     and a sample user.  The only data this function will modify is the test LDAP group, which will be deleted and added');
 
-  $variables = array(
-    'ldap_server' => $ldap_server, 'actions' => FALSE, 'type' => 'detail'
-  );
+  $variables = [
+    'ldap_server' => $ldap_server,
+    'actions' => FALSE,
+    'type' => 'detail',
+  ];
 
-  $form['server_variables'] = array(
+  $form['server_variables'] = [
     '#markup' => theme('ldap_servers_server', $variables),
-  );
+  ];
 
-  $form['sid'] = array(
+  $form['sid'] = [
     '#type' => 'hidden',
     '#default_value' => $sid,
-  );
+  ];
 
-  $form['binding']['bindpw'] = array(
+  $form['binding']['bindpw'] = [
     '#type' => 'password',
     '#title' => t('Password for non-anonymous search'),
     '#size' => 20,
     '#maxlength' => 255,
     '#description' => t('Leave empty to test with currently stored password.'),
-  );
+  ];
 
-  $form['testing_drupal_username'] = array(
+  $form['testing_drupal_username'] = [
     '#type' => 'textfield',
     '#title' => t('Testing Drupal Username'),
     '#default_value' => $ldap_server->testingDrupalUsername,
     '#size' => 30,
     '#maxlength' => 255,
     '#description' => t('This is optional and used for testing this server\'s configuration against an actual username.  The user need not exist in Drupal and testing will not affect the user\'s LDAP or Drupal Account.'),
-  );
+  ];
 
-  $form['testingDrupalUserDn'] = array(
+  $form['testingDrupalUserDn'] = [
     '#type' => 'textfield',
     '#title' => t('Testing Drupal DN'),
     '#default_value' => $ldap_server->testingDrupalUserDn,
     '#size' => 120,
     '#maxlength' => 255,
     '#description' => t('This is optional and used for testing this server\'s configuration against an actual username.  The user need not exist in Drupal and testing will not affect the user\'s LDAP or Drupal Account.'),
-  );
+  ];
 
-  $form['grp_test_grp_dn'] = array(
+  $form['grp_test_grp_dn'] = [
     '#type' => 'textfield',
     '#title' => t('Testing Group DN'),
     '#default_value' => $ldap_server->groupTestGroupDn,
     '#size' => 120,
     '#maxlength' => 255,
     '#description' => t('This is optional and used for testing this server\'s group configuration.'),
-  );
+  ];
 
-  $form['grp_test_grp_dn_writeable'] = array(
+  $form['grp_test_grp_dn_writeable'] = [
     '#type' => 'textfield',
     '#title' => t('Testing Group DN that is writeable. Warning!  In test, this group will be deleted, created, have members added to it!'),
     '#default_value' => $ldap_server->groupTestGroupDnWriteable,
     '#size' => 120,
     '#maxlength' => 255,
     '#description' => t('This is optional and used for testing this server\'s group configuration.'),
-  );
+  ];
 
   if ($ldap_server->bind_method == LDAP_SERVERS_BIND_METHOD_ANON_USER) {
-    $form['testing_drupal_userpw'] = array(
+    $form['testing_drupal_userpw'] = [
       '#type' => 'password',
       '#title' => t('Testing Drupal User Password'),
       '#size' => 30,
       '#maxlength' => 255,
       '#description' => t('This is optional and used for testing this server\'s configuration against the username above.'),
-    );
+    ];
   }
 
-  $form['submit'] = array(
+  $form['submit'] = [
     '#type' => 'submit',
     '#value' => 'Test',
     '#weight' => 100,
-  );
+  ];
 
   if (!empty($form_state['ldap_server_test_data'])) {
     $test_data = $form_state['ldap_server_test_data'];
 
     if (isset($test_data['username']) && isset($test_data['ldap_user'])) {
       $form['#prefix'] = theme('ldap_server_ldap_entry_table',
-        array(
+        [
           'entry' => $test_data['ldap_user']['attr'],
           'username' => $test_data['username'],
           'dn' => $test_data['ldap_user']['dn'],
-        ));
+        ]);
     }
 
-    $titles = array(
+    $titles = [
       'basic' => 'Test Results',
       'group1' => 'Group Create, Delete, Add Member, Remove Member Tests',
       'group2' => 'User Group Membership Functions Test',
       'tokens' => 'User Token Samples',
       'groupfromDN' => 'Groups Derived From User DN',
-    );
+    ];
     foreach ($test_data['results_tables'] as $table_name => $table_data) {
-      $form['#prefix'] .= '<h2>' . $titles[$table_name] . '</h2>' . theme('table', array('header' => array('Test', 'Result'), 'rows' => $table_data));
+      $form['#prefix'] .= '<h2>' . $titles[$table_name] . '</h2>' . theme('table', ['header' => ['Test', 'Result'], 'rows' => $table_data]);
     }
 
     if (function_exists('dpm') && !empty($test_data['username'])) {
@@ -150,6 +151,9 @@ function ldap_servers_test_form($form, &$form_state, $op = NULL, $sid = NULL) {
   return $form;
 }
 
+/**
+ *
+ */
 function ldap_servers_string_binary_check($input) {
   if (preg_match('~[^\x20-\x7E\t\r\n]~', $input) > 0) {
     $truncatedString = truncate_utf8($input, 200);
@@ -169,7 +173,7 @@ function ldap_servers_test_form_validate($form, &$form_state) {
     form_set_error(NULL, t('No server id found in form'));
   }
   elseif (!$ldap_server = ldap_servers_get_servers($values['sid'], 'all', TRUE)) {
-    form_set_error(NULL, t('Failed to create server object for server with server id=%sid', array('%sid' => $values['sid'])));
+    form_set_error(NULL, t('Failed to create server object for server with server id=%sid', ['%sid' => $values['sid']]));
   }
 }
 
@@ -178,7 +182,7 @@ function ldap_servers_test_form_validate($form, &$form_state) {
  */
 function ldap_servers_test_form_submit($form, &$form_state) {
 
-  //Pass data back to form builder
+  // Pass data back to form builder.
   $form_state['rebuild'] = TRUE;
 
   ldap_servers_module_load_include('inc', 'ldap_servers', 'ldap_servers.functions');
@@ -188,9 +192,8 @@ function ldap_servers_test_form_submit($form, &$form_state) {
   $sid = $values['sid'];
   $ldap_server = ldap_servers_get_servers($sid, 'all', TRUE);
 
-  //$result = t('<h1>Test of name </h2>',$server_conf);
-  $results = array();
-  $results_tables = array();
+  $results = [];
+  $results_tables = [];
   if ($values['bindpw']) {
     $bindpw = $values['bindpw'];
     $bindpw_type = t('entered in form.');
@@ -201,69 +204,71 @@ function ldap_servers_test_form_submit($form, &$form_state) {
   }
 
   if ($ldap_server->bind_method == LDAP_SERVERS_BIND_METHOD_SERVICE_ACCT) {
-    $results_tables['basic'][] = array(t('Binding with DN for non-anonymous search (%bind_dn).  Using password ',
-      array('%bind_dn' => $ldap_server->binddn)) . ' ' . $bindpw_type);
+    $results_tables['basic'][] = [
+      t('Binding with DN for non-anonymous search (%bind_dn).  Using password ',
+      ['%bind_dn' => $ldap_server->binddn]) . ' ' . $bindpw_type,
+    ];
   }
   else {
-    $results_tables['basic'][] = array(t('Binding with null DN for anonymous search.'));
+    $results_tables['basic'][] = [t('Binding with null DN for anonymous search.')];
   }
 
   if (@$values['grp_test_grp_dn_writeable'] && @$values['grp_test_grp_dn']) {
     $user_test_dn = @$values['grp_test_grp_dn'];
     $group_create_test_dn = $values['grp_test_grp_dn_writeable'];
-    $group_create_test_attr = array(
-      'objectClass' => array($ldap_server->groupObjectClass, 'top'),
-    );
+    $group_create_test_attr = [
+      'objectClass' => [$ldap_server->groupObjectClass, 'top'],
+    ];
 
-    // 1. delete test group if it exists
-    if ($ldap_server->dnExists($group_create_test_dn, 'ldap_entry', array('cn', 'member'))) {
+    // 1. delete test group if it exists.
+    if ($ldap_server->dnExists($group_create_test_dn, 'ldap_entry', ['cn', 'member'])) {
       $result = $ldap_server->groupRemoveGroup($group_create_test_dn, FALSE);
     }
 
-    $group_exists = $ldap_server->dnExists($group_create_test_dn, 'ldap_entry', array('cn', 'member'));
+    $group_exists = $ldap_server->dnExists($group_create_test_dn, 'ldap_entry', ['cn', 'member']);
     $result = ($group_exists === FALSE) ? "PASS" : "FAIL";
-    $results_tables['group1'][] = array("Starting test without group: $group_create_test_dn ", $result);
+    $results_tables['group1'][] = ["Starting test without group: $group_create_test_dn ", $result];
 
-    // 2. make sure call to members in empty group returns false
+    // 2. make sure call to members in empty group returns false.
     $result = $ldap_server->groupAllMembers($group_create_test_dn);
     $result = ($result === FALSE) ? "PASS" : 'FAIL';
-    $results_tables['group1'][] = array("LdapServer::groupAllMembers($group_create_test_dn) call on nonexistent group returns FALSE", $result);
+    $results_tables['group1'][] = ["LdapServer::groupAllMembers($group_create_test_dn) call on nonexistent group returns FALSE", $result];
 
-    // 3. add group
+    // 3. add group.
     $result = $ldap_server->groupAddGroup($group_create_test_dn, $group_create_test_attr);
     $result = ($result) ? "PASS" : 'FAIL';
     $attr = serialize($group_create_test_attr);
-    $results_tables['group1'][] = array("LdapServer::groupAddGroup($group_create_test_dn, $attr)", $result);
+    $results_tables['group1'][] = ["LdapServer::groupAddGroup($group_create_test_dn, $attr)", $result];
 
-    // 4. call to all members in an empty group returns emtpy array, not FALSE
+    // 4. call to all members in an empty group returns emtpy array, not FALSE.
     $result = $ldap_server->groupAllMembers($group_create_test_dn);
     $result = (is_array($result) && count($result) == 0) ? 'PASS' : 'FAIL';
-    $results_tables['group1'][] = array("LdapServer::groupAllMembers($group_create_test_dn) returns empty array for empty group ", $result);
+    $results_tables['group1'][] = ["LdapServer::groupAllMembers($group_create_test_dn) returns empty array for empty group ", $result];
 
-    // 5. add member to group
+    // 5. add member to group.
     $result = $ldap_server->groupAddMember($group_create_test_dn, $user_test_dn);
     $result = is_array($ldap_server->groupAllMembers($group_create_test_dn)) ? 'PASS' : 'FAIL';
-    $results_tables['group1'][] = array("LdapServer::groupAddMember($group_create_test_dn, $user_test_dn)", $result);
+    $results_tables['group1'][] = ["LdapServer::groupAddMember($group_create_test_dn, $user_test_dn)", $result];
 
-   // 6. try to remove group with member in it
+    // 6. try to remove group with member in it.
     $only_if_group_empty = TRUE;
     $result = $ldap_server->groupRemoveGroup($group_create_test_dn, $only_if_group_empty);
     $result = ($result) ? 'FAIL' : 'PASS';
-    $results_tables['group1'][] = array("LdapServer::groupRemoveGroup($group_create_test_dn, $only_if_group_empty)", $result);
+    $results_tables['group1'][] = ["LdapServer::groupRemoveGroup($group_create_test_dn, $only_if_group_empty)", $result];
 
-   // 7. remove group member
+    // 7. remove group member.
     $result = $ldap_server->groupRemoveMember($group_create_test_dn, $user_test_dn);
     $result = $ldap_server->groupAllMembers($group_create_test_dn);
     $result = (is_array($result) && count($result) == 0) ? 'PASS' : 'FAIL';
-    $results_tables['group1'][] = array("LdapServer::groupRemoveMember($group_create_test_dn, $user_test_dn)", $result);
+    $results_tables['group1'][] = ["LdapServer::groupRemoveMember($group_create_test_dn, $user_test_dn)", $result];
 
     $only_if_group_empty = TRUE;
     $result = $ldap_server->groupRemoveGroup($group_create_test_dn, $only_if_group_empty);
-    $result = ($ldap_server->dnExists($group_create_test_dn, 'ldap_entry', array('cn', 'member'))) ? "FAIL" : 'PASS';
-    $results_tables['group1'][] = array("LdapServer::groupRemoveGroup($group_create_test_dn, $only_if_group_empty)", $result);
+    $result = ($ldap_server->dnExists($group_create_test_dn, 'ldap_entry', ['cn', 'member'])) ? "FAIL" : 'PASS';
+    $results_tables['group1'][] = ["LdapServer::groupRemoveGroup($group_create_test_dn, $only_if_group_empty)", $result];
   }
 
-  // connect to ldap
+  // Connect to ldap.
   list($has_errors, $more_results) = ldap_servers_test_binding_credentials($ldap_server, $bindpw, $results_tables);
   $results = array_merge($results, $more_results);
   if ($ldap_server->bind_method == LDAP_SERVERS_BIND_METHOD_ANON_USER) {
@@ -276,16 +281,18 @@ function ldap_servers_test_form_submit($form, &$form_state) {
           $mapping[] = "$key = " . $value[0];
         }
       }
-      $results_tables['basic'][] = array(theme_item_list(array('items' => $mapping, 'title' => t('Attributes available to anonymous search', array('%bind_dn' => $ldap_server->binddn)) , 'type' => 'ul', 'attributes' => array())));
+      $results_tables['basic'][] = [theme_item_list(['items' => $mapping, 'title' => t('Attributes available to anonymous search', ['%bind_dn' => $ldap_server->binddn]), 'type' => 'ul', 'attributes' => []])];
     }
-    $results_tables['basic'][] = array(t('Binding with DN (%bind_dn).  Using supplied password ',
-      array('%bind_dn' => $ldap_user['dn'])));
+    $results_tables['basic'][] = [
+      t('Binding with DN (%bind_dn).  Using supplied password ',
+      ['%bind_dn' => $ldap_user['dn']]),
+    ];
     $result = $ldap_server->bind($ldap_user['dn'], $values['testing_drupal_userpw'], FALSE);
     if ($result == LDAP_SUCCESS) {
-      $results_tables['basic'][] = array(t('Successfully bound to server'), 'PASS');
+      $results_tables['basic'][] = [t('Successfully bound to server'), 'PASS'];
     }
     else {
-      $results_tables['basic'][] = array(t('Failed to bind to server. ldap error #') . $result . ' ' . $ldap_server->errorMsg('ldap'), 'FAIL') ;
+      $results_tables['basic'][] = [t('Failed to bind to server. ldap error #') . $result . ' ' . $ldap_server->errorMsg('ldap'), 'FAIL'];
     }
   }
 
@@ -298,74 +305,78 @@ function ldap_servers_test_form_submit($form, &$form_state) {
     }
     $user = isset($values['testing_drupal_username']) ? $values['testing_drupal_username'] : NULL;
 
-    foreach (array(FALSE, TRUE) as $nested) { //FALSE
+    // FALSE.
+    foreach ([FALSE, TRUE] as $nested) {
       $nested_display = ($nested) ? 'Yes' : 'No';
       if ($user) {
-        // this is the parent function that will call FromUserAttr or FromEntry
+        // This is the parent function that will call FromUserAttr or FromEntry.
         $memberships = $ldap_server->groupMembershipsFromUser($user, 'group_dns', $nested);
-        $result = theme('item_list', array('items' => $memberships, 'type' => 'ul'));
-        $results_tables['group2'][] = array("ldap_server->groupMembershipsFromUser($user, 'group_dns', nested=$nested_display)<br/>count=" . count($memberships), $result);
+        $result = theme('item_list', ['items' => $memberships, 'type' => 'ul']);
+        $results_tables['group2'][] = ["ldap_server->groupMembershipsFromUser($user, 'group_dns', nested=$nested_display)<br/>count=" . count($memberships), $result];
 
         $result = ($ldap_server->groupIsMember($group_dn, $user, $nested)) ? 'Yes' : 'No';
-        $group_results[] = array("ldap_server->groupIsMember($group_dn, $user, nested=$nested_display)", $result);
+        $group_results[] = ["ldap_server->groupIsMember($group_dn, $user, nested=$nested_display)", $result];
 
         if ($ldap_server->groupUserMembershipsConfigured) {
           $groupusermembershipsfromuserattr = $ldap_server->groupUserMembershipsFromUserAttr($user, $nested);
           $count = count($groupusermembershipsfromuserattr);
-          $result = theme('item_list', array('items' => $groupusermembershipsfromuserattr, 'type' => 'ul'));
+          $result = theme('item_list', ['items' => $groupusermembershipsfromuserattr, 'type' => 'ul']);
         }
         else {
-          $groupusermembershipsfromuserattr = array();
+          $groupusermembershipsfromuserattr = [];
           $result = "'A user LDAP attribute such as memberOf exists that contains a list of their group' is not configured.";
         }
-        $results_tables['group2'][] = array("ldap_server->groupUserMembershipsFromUserAttr($user, nested=$nested_display)<br/> count=" .
-            count($groupusermembershipsfromuserattr) , $result);
+        $results_tables['group2'][] = [
+          "ldap_server->groupUserMembershipsFromUserAttr($user, nested=$nested_display)<br/> count=" .
+          count($groupusermembershipsfromuserattr), $result,
+        ];
 
         if ($ldap_server->groupGroupEntryMembershipsConfigured) {
           $groupusermembershipsfromentry = $ldap_server->groupUserMembershipsFromEntry($user, $nested);
-          $result = theme('item_list', array('items' => $groupusermembershipsfromentry, 'type' => 'ul'));
+          $result = theme('item_list', ['items' => $groupusermembershipsfromentry, 'type' => 'ul']);
         }
         else {
-          $groupusermembershipsfromentry = array();
+          $groupusermembershipsfromentry = [];
           $result = "Groups by entry not configured.";
         }
-        $results_tables['group2'][] = array("ldap_server->groupUserMembershipsFromEntry($user, nested=$nested_display)<br/>count=" .
-          count($groupusermembershipsfromentry) , $result);
+        $results_tables['group2'][] = [
+          "ldap_server->groupUserMembershipsFromEntry($user, nested=$nested_display)<br/>count=" .
+          count($groupusermembershipsfromentry), $result,
+        ];
 
         if (count($groupusermembershipsfromentry) && count($groupusermembershipsfromuserattr)) {
           $diff1 = array_diff($groupusermembershipsfromuserattr, $groupusermembershipsfromentry);
           $diff2 = array_diff($groupusermembershipsfromentry, $groupusermembershipsfromuserattr);
-          $result1 = theme('item_list', array('items' => $diff1, 'type' => 'ul'));
-          $result2 = theme('item_list', array('items' => $diff2, 'type' => 'ul'));
-          $results_tables['group2'][] = array("groupUserMembershipsFromEntry and FromUserAttr Diff)", $result1);
-          $results_tables['group2'][] = array("FromUserAttr and groupUserMembershipsFromEntry Diff)", $result2);
+          $result1 = theme('item_list', ['items' => $diff1, 'type' => 'ul']);
+          $result2 = theme('item_list', ['items' => $diff2, 'type' => 'ul']);
+          $results_tables['group2'][] = ["groupUserMembershipsFromEntry and FromUserAttr Diff)", $result1];
+          $results_tables['group2'][] = ["FromUserAttr and groupUserMembershipsFromEntry Diff)", $result2];
         }
       }
     }
 
-
     if ($groups_from_dn = $ldap_server->groupUserMembershipsFromDn($user)) {
-      $results_tables['groupfromDN'][] = array("Groups from DN", theme('item_list', array('items' => $groups_from_dn, 'type' => 'ul')));
+      $results_tables['groupfromDN'][] = ["Groups from DN", theme('item_list', ['items' => $groups_from_dn, 'type' => 'ul'])];
     }
 
   }
 
   list($has_errors, $more_results, $ldap_user) = ldap_servers_test_user_mapping($values['testing_drupal_username'], $ldap_server);
 
-  $tokens = ($ldap_user && isset($ldap_user['attr'])) ? ldap_servers_token_tokenize_entry($ldap_user['attr'], 'all') : array();
+  $tokens = ($ldap_user && isset($ldap_user['attr'])) ? ldap_servers_token_tokenize_entry($ldap_user['attr'], 'all') : [];
   foreach ($tokens as $key => $value) {
-    $results_tables['tokens'][] = array($key, ldap_servers_string_binary_check($value));
+    $results_tables['tokens'][] = [$key, ldap_servers_string_binary_check($value)];
   }
-  $form_state['ldap_server_test_data'] = array(
+  $form_state['ldap_server_test_data'] = [
     'username' => $values['testing_drupal_username'],
     'results_tables' => $results_tables,
-  );
+  ];
 
   if (isset($ldap_user)) {
     $form_state['ldap_server_test_data']['ldap_user'] = $ldap_user;
   }
 
-  if (isset($group_entry) ) {
+  if (isset($group_entry)) {
     $form_state['ldap_server_test_data']['group_entry'] = $group_entry;
   }
 
@@ -374,49 +385,53 @@ function ldap_servers_test_form_submit($form, &$form_state) {
 /**
  * Submit hook for the LDAP server form.
  */
-
-
 function ldap_servers_test_binding_credentials(&$ldap_server, $bindpw, &$results_tables) {
 
   $errors = FALSE;
-  $results = array();
+  $results = [];
 
   $ldap_result = $ldap_server->connect();
   if ($ldap_result != LDAP_SUCCESS) {
-    $results_tables['basic'][] = array(t('Failed to connect to LDAP server.  See watchdog error logs for details.') .
-                                    $ldap_server->errorMsg('ldap'));
+    $results_tables['basic'][] = [
+      t('Failed to connect to LDAP server.  See watchdog error logs for details.') .
+      $ldap_server->errorMsg('ldap'),
+    ];
     $errors = TRUE;
   }
 
   if (!$errors) {
     $bind_result = $ldap_server->bind($ldap_server->binddn, $bindpw, FALSE);
     if ($bind_result == LDAP_SUCCESS) {
-      $results_tables['basic'][] = array(t('Successfully bound to server'));
+      $results_tables['basic'][] = [t('Successfully bound to server')];
     }
     else {
-      $results_tables['basic'][] = array(t('Failed to bind to server. ldap error #') . $bind_result . ' ' . $ldap_server->errorMsg('ldap')) ;
+      $results_tables['basic'][] = [t('Failed to bind to server. ldap error #') . $bind_result . ' ' . $ldap_server->errorMsg('ldap')];
       $errors = TRUE;
     }
   }
-  return array($errors, $results);
+  return [$errors, $results];
 }
 
+/**
+ *
+ */
 function ldap_servers_test_user_mapping($drupal_username, &$ldap_server, $ldap_context = NULL) {
 
   $ldap_user = $ldap_server->userUserNameToExistingLdapEntry($drupal_username, $ldap_context);
   $errors = FALSE;
-  if (!$ldap_user ) {
+  if (!$ldap_user) {
     $results[] = t('Failed to find test user %username by searching on  %user_attr = %username.',
-      array(
+      [
         '%username' => $drupal_username,
-        '%user_attr' => $ldap_server->user_attr )
+        '%user_attr' => $ldap_server->user_attr,
+      ]
       )
       . ' ' . t('Error Message:') . ' ' . $ldap_server->errorMsg('ldap');
     $errors = TRUE;
   }
   else {
     $results[] = t('Found test user %username by searching on  %user_attr = %username.',
-      array('%username' => $drupal_username, '%user_attr' => $ldap_server->user_attr ));
+      ['%username' => $drupal_username, '%user_attr' => $ldap_server->user_attr]);
   }
-  return array($errors, $results, $ldap_user);
+  return [$errors, $results, $ldap_user];
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.theme.inc b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.theme.inc
index 28eb34dc..5613aeee 100644
--- a/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.theme.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_servers/ldap_servers.theme.inc
@@ -2,8 +2,7 @@
 
 /**
  * @file
- * theming functions for ldap_servers module
- *
+ * Theming functions for ldap_servers module.
  */
 
 /**
@@ -16,30 +15,35 @@
  *   - type:  'table', 'list', etc for style to render
  *
  * @ingroup themeable
+ *
+ * @return string
  */
 function theme_ldap_servers_list($variables) {
+  /** @var array $ldap_servers */
+  /** @var bool $actions */
+  /** @var string $type */
   extract($variables);
 
-  $table = array(
-    'header' => array(t('Name'), t('Type'), t('Enabled'), t('Server Address')),
-    'attributes' => array('id' => 'ldap_servers_servers', 'class' => 'data'),
-    'colgroups' => array(),
+  $table = [
+    'header' => [t('Name'), t('Type'), t('Enabled'), t('Server Address')],
+    'attributes' => ['id' => 'ldap_servers_servers', 'class' => 'data'],
+    'colgroups' => [],
     'sticky' => FALSE,
     'empty' => '',
     'caption' => 'LDAP Server Configurations',
-  );
+  ];
 
   if ($actions) {
     $table['header'][] = "Operations";
   }
   if (count($ldap_servers)) {
-    foreach ($ldap_servers as $sid => $ldap_server ) {
-      $row = array(
+    foreach ($ldap_servers as $sid => $ldap_server) {
+      $row = [
         $ldap_server->name,
         $ldap_server->ldap_type,
         ($ldap_server->status == 1) ? "Yes" : "No",
-        $ldap_server->address
-          );
+        $ldap_server->address,
+      ];
       if ($actions) {
         $admin = new LdapServerAdmin($ldap_server->sid);
         $row[] = join(' | ', $admin->getLdapServerActions());
@@ -48,7 +52,7 @@ function theme_ldap_servers_list($variables) {
     }
   }
   else {
-    $table['rows'] = array();
+    $table['rows'] = [];
   }
   $output = theme('table', $table);
 
@@ -60,18 +64,22 @@ function theme_ldap_servers_list($variables) {
  *
  * @param $variables
  *   An associative array containing:
- *   - ldap_servers_config: an array of one or more ldap server configurations.
+ *   - ldap_server: an array of one or more ldap server configurations.
  *   - actions:  true or false indicating include update, delete, etc. links
  *   - type:  'table', 'list', etc for style to render
  *
  * @ingroup themeable
+ *
+ * @return string
  */
-
 function theme_ldap_servers_server($variables) {
-  extract($variables);  // $ldap_server, $actions, $type (see above)
+  /** @var array $ldap_server */
+  /** @var bool $actions */
+  /** @var string $type */
+  extract($variables);
 
   ldap_servers_module_load_include('php', 'ldap_servers', 'LdapServer.class');
-  $properties = array();
+  $properties = [];
   foreach (LdapServer::field_to_properties_map() as $field_name => $property_name) {
     $properties[] = "$field_name = " . print_r($ldap_server->$property_name, TRUE);
   }
@@ -82,47 +90,53 @@ function theme_ldap_servers_server($variables) {
   }
 
   $output = theme_item_list(
-    array(
+    [
       'items' => $properties,
       'type' => 'ul',
       'title' => 'Server Properties',
-      'attributes' => array()
-      )
+      'attributes' => [],
+    ]
     );
 
   return $output;
 }
 
+/**
+ *
+ */
 function theme_ldap_server_token_table($variables) {
-  $header = array(
-    array('data' => 'Token', 'sort' => 'asc'),
-    array('data' => 'Value'),
-  );
+  $header = [
+    ['data' => 'Token', 'sort' => 'asc'],
+    ['data' => 'Value'],
+  ];
   foreach ($variables['tokens'] as $token => $value) {
-    $rows[] = array('data' => array($token, $value));
+    $rows[] = ['data' => [$token, $value]];
   }
   $token_table = '<div class="content"><h2>' . t('Available Tokens') . '</h2>' .
-    theme_table(array('colgroups' => NULL, 'caption' => 'tokens', 'header' => $header, 'rows' => $rows, 'sticky' => TRUE, 'attributes' => array(), 'empty' => 'No data')) .
+    theme_table(['colgroups' => NULL, 'caption' => 'tokens', 'header' => $header, 'rows' => $rows, 'sticky' => TRUE, 'attributes' => [], 'empty' => 'No data']) .
     '</div>';
 
   return $token_table;
 }
 
+/**
+ *
+ */
 function theme_ldap_server_ldap_entry_table($variables) {
   if (!isset($variables['entry']) || !is_array($variables['entry'])) {
     return '<p>' . t('No Entry Returned.') . t('</p>');
   }
 
-  $header = array('Attribute Name', 'Instance', 'Value', 'token');
-  $rows = array();
+  $header = ['Attribute Name', 'Instance', 'Value', 'token'];
+  $rows = [];
   foreach ($variables['entry'] as $key => $value) {
     if (is_numeric($key) || $key == 'count') {
     }
-    elseif (count($value) > 1) {
-      $count = (int)$value['count'];
+    elseif (is_array($value) && count($value) > 1) {
+      $count = (int) $value['count'];
       foreach ($value as $i => $value2) {
 
-        if ((string)$i == 'count') {
+        if ((string) $i == 'count') {
           continue;
         }
         elseif ($i == 0 && $count == 1) {
@@ -140,10 +154,23 @@ function theme_ldap_server_ldap_entry_table($variables) {
         else {
           $token = "";
         }
-        $rows[] = array('data' => array($key, $i, ldap_servers_string_binary_check($value2), $token));
+        $rows[] = ['data' => [$key, $i, ldap_servers_string_binary_check($value2), $token]];
       }
     }
   }
-  $entry_table = '<div class="content"><h2>' . t('LDAP Entry for %username (dn: %dn)', array('%dn' => $variables['dn'], '%username' => $variables['username'])) . '</h2>' . theme('table', array('colgroups' => NULL, 'caption' => 'ldap entry array', 'header' => $header, 'rows' => $rows, 'sticky' => TRUE, 'attributes' => array(), 'empty' => 'No data')) . '</div>';
+  $heading = sprintf('<h2>%s</h2>', t('LDAP Entry for %username (dn: %dn)', [
+    '%dn' => $variables['dn'],
+    '%username' => $variables['username'],
+  ]));
+  $table = theme('table', [
+    'colgroups' => NULL,
+    'caption' => 'ldap entry array',
+    'header' => $header,
+    'rows' => $rows,
+    'sticky' => TRUE,
+    'attributes' => [],
+    'empty' => 'No data',
+  ]);
+  $entry_table = '<div class="content">' . $heading . $table . '</div>';
   return $entry_table;
 }
